import type { EChartsOption } from 'echarts';
import type { EChartsData, EChartsInitOpts, Extensions, ThemeOption } from './eChartsTypes';
import { EChartsBaseConfig } from './eChartsBaseConfig';
import { EChartsHTMLChart } from './eChartsHTMLChart';
export declare class EChartsHTMLConfig extends EChartsBaseConfig {
    constructor(theme?: ThemeOption, initOptions?: EChartsInitOpts, components?: Extensions);
    build(element: HTMLElement | HTMLCanvasElement | null, option: EChartsOption, data?: EChartsData): EChartsHTMLChart;
    private addComponents;
}
