import type { EChartsData, JSONValue } from '../echarts/eChartsTypes';
type datasetColumns = {
    [key: string]: unknown[];
};
export declare class DataToJSON {
    private data;
    constructor(data: EChartsData);
    call(): {
        dimensions: string[];
        source: datasetColumns;
    } | {
        source: JSONValue;
    } | ({
        dimensions: string[];
        source: datasetColumns;
    } | {
        source: JSONValue;
    })[] | {
        dimensions: string[];
        source: JSONValue[];
    } | {
        source: JSONValue[];
        dimensions?: undefined;
    };
    private transform;
    private ArrayToJSON;
}
export {};
